commit:     55e2df861747ca3437d3c04045deef9c09827e2b
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 18 06:33:13 2019 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Mon Nov 18 06:34:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55e2df86

dev-python/kconfiglib: version bump to 13.2.0

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 dev-python/kconfiglib/Manifest                 |  1 +
 dev-python/kconfiglib/kconfiglib-13.2.0.ebuild | 38 ++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/kconfiglib/Manifest b/dev-python/kconfiglib/Manifest
index c245d9f4cb5..db8807dabaa 100644
--- a/dev-python/kconfiglib/Manifest
+++ b/dev-python/kconfiglib/Manifest
@@ -1 +1,2 @@
 DIST kconfiglib-12.12.1.tar.gz 181307 BLAKE2B 
d256148bd6bf01f7951c78751604eae1be4c2fc156b815bdb570e6fcf185c2f5c97259f6ce0ed275104234ff7180afa2000a81feb281e745a8a0c4db162f57b9
 SHA512 
49e8746e6c83a93b7500130b21b864346ab8106c0c161de0ec62b3efff794080e734d34d88cd9c816c0d6514465729fbc3a4334fcc9c0a68f17c1688bb210325
+DIST kconfiglib-13.2.0.tar.gz 181115 BLAKE2B 
81aeab65c4d7008dad33d508eb2be5ed53187943c1ec5112a87a47a5f9bb661c521b0d61a3da63da3233f168d62ab6bb5cdf6e3702e53f960159b7ca13c8a0cf
 SHA512 
9d8c76014aa7faa93af216849859eca9bfdc0d4cd3e030e47b72acfdd4981ac1581747adf91bca58a4e8d86b151988309f36c3f94a1ebb216a1412fd004fafd2

diff --git a/dev-python/kconfiglib/kconfiglib-13.2.0.ebuild 
b/dev-python/kconfiglib/kconfiglib-13.2.0.ebuild
new file mode 100644
index 00000000000..e519c27c57a
--- /dev/null
+++ b/dev-python/kconfiglib/kconfiglib-13.2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} pypy{,3} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1
+
+DESCRIPTION="A flexible Python Kconfig implementation"
+HOMEPAGE="https://github.com/ulfalizer/Kconfiglib 
https://pypi.org/project/kconfiglib/";
+SRC_URI="https://github.com/ulfalizer/Kconfiglib/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+# pypi tarballs don't include tests
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}"
+
+S=${WORKDIR}/${P/k/K}
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # hacks to run tests
+       mkdir Kconfiglib || die
+       ln -s ../tests Kconfiglib || die
+       # don't run kernel Kconfig compat tests
+       sed -i 's/run_compatibility_tests()$/#\0/' testsuite.py || die
+}
+
+python_test() {
+       "${PYTHON}" testsuite.py || die "tests failed with ${EPYTHON}"
+}

Reply via email to